Get identity provider
Get details of a specific identity provider based on its unique ID.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The unique identifier of the identity provider.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/identity-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "string", "redirectUrl": "string", "clientId": "string", "authorizationEndpoint": "string", "accessTokenEndpoint": "string", "userinfoEndpoint": "string", "logoutEndpoint": "string", "postLogoutRedirectUrl": "string", "createdDate": "2019-08-24T14:15:22Z" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}